@import '../../../../public/assets/styles/variables';
@import '../../../../public/assets/styles/functions';

.product-card {
  max-width: 450px;
  width: 100%;
  background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
  box-shadow: 20px 23px 50px rgba(130, 130, 130, 0.23), inset -16px 14px 15px #FFFFFF, inset -14px -7px 15px #E1E1E1;
  border-radius: 72px;
  box-sizing: border-box;
  padding: 35px 29px;
  //padding: get-vw(35px) get-vw(29px);
  margin: 0 5px;
  &__first-panel {
    border: 5px solid #FFFFFF;
    box-sizing: border-box;
    box-shadow: inset 2px 2px 2px rgba(0, 0, 0, 0.15);
    border-radius: 48px;
    position: relative;
    width: 100%;
    height: 100%;
    padding: 8px;
  }
  &__second-panel {
    box-sizing: border-box;
    background: linear-gradient(180deg, #FDFDFD 7.15%, #EEEEEE 100%);
    box-shadow: inset 7px 4px 8px rgba(217, 217, 217, 0.35), inset -4px -4px 4px rgba(255, 255, 255, 0.55);
    border-radius: 37px;
    height: 100%;
    display: flex;
    flex-direction: column;
    padding: 41px 25px 29px;
    text-align: center;
  }
  &__total {
    display: flex;
    flex-direction: column;
    flex-grow: 2;
    justify-content: flex-end;
    align-items: center;
  }
  &__headline {
    color: $accent-color;
    font-style: normal;
    font-weight: 500;
    font-size: calcFluidFontSize(19, 24);
    margin: get-rem(42px) 0 get-rem(17px);
  }
  &__text {
    font-size: calcFluidFontSize(15, 18);
    line-height: 32px;
    color: $text-color;
    margin-bottom: 0;
  }
  &__price {
    color: $text-color-light;
    font-size: calcFluidFontSize(24, 32);
    line-height: calcFluidFontSize(28, 37);
  }
  &__img-container {
    max-width: 227px;
    height: 230px;
    display: flex;
    align-items: center;
    width: 100%;
    margin: 0 auto;
    img {
    }
  }
  &:first-child {

  }
  .rounded-input {
    box-sizing: border-box;
    width: 100%;
    height: calcFluidFontSize(50, 60);
    font-size: calcFluidFontSize(24, 32);
    margin: calcFluidFontSize(16, 65) 0 calcFluidFontSize(16, 32);
  }
}

@media (min-width: 1920px) {
  .product-card {
    padding: get-vw(35px) get-vw(29px);
    max-width: get-vw(465px);
    &__price {
      font-size: get-vw(32px);
      line-height: get-vw(37px);
    }
    &__text {
      font-size: get-rem(18px);
      line-height: get-rem(32px);
    }
    &__headline {
      font-size: get-rem(24px);
    }
    .rounded-input {
      height: get-vw(60px);
      margin: get-rem(83px) 0 get-rem(32px);
    }
  }
}



